This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463773 - includes a copy of the unicode character data
includes a copy of the unicode character data
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 661083
  Show dependency treegraph
 
Reported: 2008-09-24 12:30 EDT by Matthias Clasen
Modified: 2010-12-22 03:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 03:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-09-24 12:30:45 EDT
In /usr/lib/perl5/5.10.0/unicore/*.txt and
/usr/lib/perl5/5.10.0/Unicode/Collate/*.txt

If these are never used at runtime (as I assume, from the conversion scripts and the generated perl in the same directories), thats several megabytes of dead weight in the package. 

Also, the license of these files seems to not be reflected in the License field.
Comment 1 Bug Zapper 2008-11-25 22:12:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2009-07-18 20:03:50 EDT
Any reaction on this ? On the live cd, every MB of wasted space counts...
Comment 3 Bug Zapper 2009-11-16 04:27:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Marcela Mašláňová 2010-04-06 10:27:37 EDT
Fixed in rawhide for the meantime.
Comment 5 Marcela Mašláňová 2010-12-21 12:48:47 EST
Unicode::UCD probably use these *.txt files (see dependent bug). It might be solved by creating another sub-package.
Comment 6 Marcela Mašláňová 2010-12-22 03:43:22 EST
Files were missing only in rawhide (future F-15). Fixed.

Note You need to log in before you can comment on or make changes to this bug.